"use client"
import React from 'react'
import Carousel from 'react-multi-carousel';

const responsive = {
    superLargeDesktop: {
        breakpoint: { max: 4000, min: 3000 },
        items: 1,
        slidesToSlide: 1
    },

    desktop: {
        breakpoint: { max: 3000, min: 1024 },
        items: 1,
        slidesToSlide: 1
    },
    tablet: {
        breakpoint: { max: 1024, min: 464 },
        items: 1,
        slidesToSlide: 1
    },
    mobile: {
        breakpoint: { max: 464, min: 0 },
        items: 1,
        slidesToSlide: 1
    }
};

const PropertyCard = () => {
    return (
        <div className='property-card-shadow flex flex-col gap-3 rounded-xl overflow-hidden pb-4'>
            <Carousel
                responsive={responsive}
                infinite={true}
                arrows={false}
                ssr={true}
                showDots={true}
                transitionDuration={1000}
                autoPlay={false}
                autoPlaySpeed={1000}
                className='w-full'
            >
                {[1, 2, 3, 4, 5].map(item => (
                    <img src="/latestprop.png" className='w-full' alt="" key={item + "b"}/>
                ))}

            </Carousel>

            <div className='flex flex-col gap-1 px-3 text-sm'>
                <div>
                    <span className='font-semibold'>₹ 65,00586 L</span><span className='text-tertiary text-sm'> Per SQ Feet</span>
                </div>
                <p className='font-semibold'>Residential Land / Plot in  Apartments....</p>
                <p className='text-tertiary'>Sector 8 Dwarka, Delhi South West. wel..... </p>
                <p className='text-red-600 font-semibold'>Posted by Agent</p>
            </div>

            <button className='bg-brand text-sm mx-3 p-2 rounded-lg text-white font-semibold w-fit mt-4'>View Details</button>
        </div>
    )
}

export default PropertyCard